Bug 1782785 (CVE-2019-19722) - CVE-2019-19722 dovecot: null pointer dereference in push notification driver
Summary: CVE-2019-19722 dovecot: null pointer dereference in push notification driver
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2019-19722
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1783256
Blocks: 1782787
TreeView+ depends on / blocked
 
Reported: 2019-12-12 10:38 UTC by Dhananjay Arunesh
Modified: 2020-01-16 13:30 UTC (History)
6 users (show)

Fixed In Version: dovecot 2.3.9.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-16 13:30:24 UTC


Attachments (Terms of Use)

Description Dhananjay Arunesh 2019-12-12 10:38:17 UTC
A vulnerability was found in dovecot before version 2.3.9.1 where mail with group address as sender will cause a signal 11 crash in push notification drivers. Group address as recipient can cause crash in some drivers.

Comment 3 msiddiqu 2019-12-13 13:03:18 UTC
Created dovecot tracking bugs for this issue:

Affects: fedora-all [bug 1783256]

Comment 4 Huzaifa S. Sidhpurwala 2020-01-16 13:29:32 UTC
Statement:

The vulnerable functionality is not present in the versions of dovecot package in Red Hat Products therefore they are not affected by this flaw.


Note You need to log in before you can comment on or make changes to this bug.